## kdepim-runtime 24.12.0

=== debian/changelog ===
kdepim-runtime (4:24.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:53:22 +0100

kdepim-runtime (4:24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:39:43 +0100

=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:24.12.0~),
               libakonadicalendar-dev (>= 4:24.12.0~),
               libakonadicontact-dev (>= 4:24.12.0~),
               libakonadimime-dev (>= 4:24.12.0~),
               libboost-system-dev,
               libboost-thread-dev,
               libkcalendarutils-dev (>= 4:24.12.0~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6configwidgets-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6dav-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6notifications-dev (>= 6.6.0~),
               libkf6notifyconfig-dev (>= 6.6.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6wallet-dev (>= 6.6.0~),
               libkf6windowsystem-dev (>= 6.6.0~),
               libkgapi-dev (>= 24.12.0~),
               libkidentitymanagement-dev (>= 24.12.0~),
               libkimap-dev (>= 24.12.0~),
               libkldap-dev (>= 24.12.0~),
               libkmailtransport-dev (>= 24.12.0~),
               libkmbox-dev (>= 24.12.0~),
               libkmime-dev (>= 24.12.0~),
               libkolabxml-dev (>= 1.1~),
               libktextaddons-dev (>= 1.5.4~),
               libpimcommon-dev (>= 4:24.12.0~),
               libplasmaactivities-dev (>= 6.1.0~),
               libqca-qt6-dev (>= 2.3.7~),
               libsasl2-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-networkauth-dev (>= 6.7.0~),
               qt6-speech-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~) [amd64 arm64 armhf i386],
               qtkeychain-qt6-dev (>= 0.14.2~),
               shared-mime-info (>= 1.8~),
               xsltproc,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kdepim-runtime
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdepim-runtime
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdepim-runtime.git
Rules-Requires-Root: no

Package: kdepim-runtime
Architecture: amd64 arm64 armhf i386
Depends: akonadi-server,
         kio-ldap,
         kmailtransport-plugins,
         libsasl2-modules,
         libsasl2-modules-kdexoauth2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: runtime components for Akonadi KDE
 This package contains Akonadi agents written using KDE Development Platform
 libraries.
 Any package that uses Akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.

## kdepim-runtime 24.12.2

=== debian/changelog ===
kdepim-runtime (4:24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 00:08:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.0~),
-               libakonadicalendar-dev (>= 4:24.12.0~),
-               libakonadicontact-dev (>= 4:24.12.0~),
-               libakonadimime-dev (>= 4:24.12.0~),
+               libakonadi-dev (>= 4:24.12.2~),
+               libakonadicalendar-dev (>= 4:24.12.2~),
+               libakonadicontact-dev (>= 4:24.12.2~),
+               libakonadimime-dev (>= 4:24.12.2~),
                libboost-system-dev,
                libboost-thread-dev,
-               libkcalendarutils-dev (>= 4:24.12.0~),
+               libkcalendarutils-dev (>= 4:24.12.2~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -29,16 +29,16 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6wallet-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
-               libkgapi-dev (>= 24.12.0~),
-               libkidentitymanagement-dev (>= 24.12.0~),
-               libkimap-dev (>= 24.12.0~),
-               libkldap-dev (>= 24.12.0~),
-               libkmailtransport-dev (>= 24.12.0~),
-               libkmbox-dev (>= 24.12.0~),
-               libkmime-dev (>= 24.12.0~),
+               libkgapi-dev (>= 24.12.2~),
+               libkidentitymanagement-dev (>= 24.12.2~),
+               libkimap-dev (>= 24.12.2~),
+               libkldap-dev (>= 24.12.2~),
+               libkmailtransport-dev (>= 24.12.2~),
+               libkmbox-dev (>= 24.12.2~),
+               libkmime-dev (>= 24.12.2~),
                libkolabxml-dev (>= 1.1~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:24.12.0~),
+               libpimcommon-dev (>= 4:24.12.2~),
                libplasmaactivities-dev (>= 6.1.0~),
                libqca-qt6-dev (>= 2.3.7~),
                libsasl2-dev,

## kdepim-runtime 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.3.3")
set(KDEPIM_RUNTIME_VERSION_NUMBER ${PIM_VERSION})
project(kdepim-runtime VERSION ${KDEPIM_RUNTIME_VERSION_NUMBER})

set(KDEPIM_DEV_VERSION )
set(RELEASE_SERVICE_VERSION "24.12.3")

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_RUNTIME_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

configure_file(kdepim-runtime-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/kdepim-runtime-version.h @ONLY)

set(KF_MIN_VERSION "6.6.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${kdepim-runtime_SOURCE_DIR}/cmake/ ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMSetupVersion)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(GenerateExportHeader)

set(QT_REQUIRED_VERSION "6.7.0")

set(KDEPIMRUNTIME_LIB_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}")
set(KDEPIMRUNTIME_LIB_SOVERSION "6")
set(AKONADI_VERSION "6.3.3")

set(IDENTITYMANAGEMENT_LIB_VERSION "6.3.3")
set(KMAILTRANSPORT_LIB_VERSION "6.3.3")
set(CALENDARUTILS_LIB_VERSION "6.3.3")
set(KIMAP_LIB_VERSION "6.3.3")
set(KMBOX_LIB_VERSION "6.3.3")
set(AKONADICALENDAR_LIB_VERSION "6.3.3")
set(KMIME_LIB_VERSION "6.3.3")
set(AKONADIMIME_LIB_VERSION "6.3.3")
set(AKONADICONTACT_LIB_VERSION "6.3.3")
set(KGAPI_LIB_VERSION "6.3.3")
set(KLDAP_LIB_VERSION "6.3.3")
set(KTEXTADDONS_MIN_VERSION "1.5.4")
set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
set(PIMCOMMON_LIB_VERSION "6.3.3")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(SharedMimeInfo_MINIMUM_VERSION "1.8")
find_package(SharedMimeInfo ${SharedMimeInfo_MINIMUM_VERSION} REQUIRED)

find_package(Sasl2)
set_package_properties(Sasl2 PROPERTIES TYPE REQUIRED)

find_package(Qca-qt6 2.3.7 CONFIG REQUIRED)
set_package_properties(Qca-qt6 PROPERTIES DESCRIPTION "Qt Cryptographic Architecture"
                   URL "https://invent.kde.org/libraries/qca" TYPE REQUIRED
                   PURPOSE "Needed for ews resource.")
option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)
# QT package
find_package(Qt6TextToSpeech ${QT_REQUIRED_VERSION} CONFIG)
set_package_properties(Qt6TextToSpeech PROPERTIES DESCRIPTION
    "Add support for texttospeech"
    TYPE OPTIONAL
)
if(Qt6TextToSpeech_FOUND)
set(HAVE_TEXT_TO_SPEECH_SUPPORT TRUE)
endif()
find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Network Widgets Test DBus NetworkAuth Concurrent)
find_package(Qt6WebEngineWidgets ${QT_REQUIRED_VERSION} CONFIG)

# KF6 package
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ConfigWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6NotifyConfig ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ItemModels ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WindowSystem ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Notifications ${KF_MIN_VERSION} CONFIG REQUIRED) # pop3, ews
find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DAV ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Wallet ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

# KdepimLibs package
find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementWidgets ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiContactWidgets ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mbox ${KMBOX_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6GAPI ${KGAPI_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6LdapWidgets ${KLDAP_LIB_VERSION} CONFIG REQUIRED)

find_package(KPim6PimCommonActivities ${PIMCOMMON_LIB_VERSION} CONFIG)

find_package(Qt6Keychain ${QT6KEYCHAIN_LIB_VERSION} CONFIG)
set_package_properties(Qt6Keychain PROPERTIES
                                   DESCRIPTION "Provides support for secure credentials storage"
                                   URL "https://github.com/frankosterfeld/qtkeychain"
                                   TYPE REQUIRED)

option(KDEPIM_RUN_ISOLATED_TESTS "Run the isolated tests." FALSE)
ecm_set_disabled_deprecation_versions(QT 6.7.2 KF 6.8.0)


option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

if(TARGET KPim6::PimCommonActivities)
	option(OPTION_USE_PLASMA_ACTIVITIES "Activate plasma activities" OFF)
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            set(OPTION_USE_PLASMA_ACTIVITIES true)
        else()
            set(OPTION_USE_PLASMA_ACTIVITIES false)
        endif()
    endif()
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            find_package(PlasmaActivities "6.1.0")
            set_package_properties(PlasmaActivities PROPERTIES DESCRIPTION
                "Allow to compile with plasma activities"
                TYPE OPTIONAL
            )
        endif()

        if(TARGET Plasma::Activities)
            set(HAVE_ACTIVITY_SUPPORT TRUE)
        endif()
    endif()
endif()

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()
include_directories(${kdepim-runtime_SOURCE_DIR} ${kdepim-runtime_BINARY_DIR})
configure_file(config-kdepim-runtime.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-kdepim-runtime.h)

add_subdirectory(resources)
add_subdirectory(agents)
add_subdirectory(defaultsetup)
add_subdirectory(kioworker)
add_subdirectory(migration)
add_subdirectory(kcms)
add_subdirectory(kmailtransport)
## install the MIME type spec file for KDEPIM specific MIME types
install(FILES kdepim-mime.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})
ecm_qt_install_logging_categories(
        EXPORT KDEPIMRUNTIME
        FILE kdepim-runtime.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)

ecm_feature_summary(WHAT ALL
                INCLUDE_QUIET_PACKAGES
                FATAL_ON_MISSING_REQUIRED_PACKAGES
)

=== agents/CMakeLists.txt ===
add_subdirectory(maildispatcher)
add_subdirectory(newmailnotifier)
# For the moment disable it as we don't have KUiServerJobTracker support on windows it seems
if(NOT WIN32)
    add_subdirectory(migration)
endif()

=== resources/CMakeLists.txt ===
# Libkolabxml
find_package(Libkolabxml 1.1 QUIET CONFIG)
set_package_properties(Libkolabxml PROPERTIES DESCRIPTION "Kolabxml" URL "http://mirror.kolabsys.com/pub/releases" TYPE OPTIONAL PURPOSE "The Kolab XML Format Schema Definitions Library is required to build the Kolab Groupware Resource")

# Etebase library
find_package(Etebase CONFIG)
set_package_properties(Etebase PROPERTIES URL "https://github.com/etesync/libetebase/releases" TYPE OPTIONAL PURPOSE "The Etebase library is required to build the EteSync Groupware Resource")

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/shared/singlefileresource/
  ${CMAKE_CURRENT_BINARY_DIR}/shared/singlefileresource/
  ${CMAKE_CURRENT_SOURCE_DIR}/folderarchivesettings/
)


# resource tests
macro(akonadi_add_resourcetest _testname _script)
  if( ${EXECUTABLE_OUTPUT_PATH})
    set(_exepath ${EXECUTABLE_OUTPUT_PATH})
  else ()
    set(_exepath ${kdepim-runtime_BINARY_DIR}/resourcetester)
  endif()
  if(WIN32)
    set(_resourcetester ${_exepath}/resourcetester.bat)
  else ()
    set(_resourcetester ${_exepath}/resourcetester)
  endif()
  if(UNIX)
    set(_resourcetester ${_resourcetester}.shell)
  endif()
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${_script} ${CMAKE_CURRENT_BINARY_DIR}/${_script} COPYONLY)
  if(KDEPIM_RUN_ISOLATED_TESTS)
    add_test( NAME akonadi-mysql-db-${_testname} COMMAND akonaditest -c ${kdepim-runtime_SOURCE_DIR}/resourcetester/tests/unittestenv/config-mysql-db.xml ${_resourcetester} -c ${CMAKE_CURRENT_BINARY_DIR}/${_script})
  endif()
endmacro(akonadi_add_resourcetest)



add_subdirectory(contacts)
add_subdirectory(dav)
add_subdirectory(ical)
add_subdirectory(imap)
if(Libkolabxml_FOUND)
    # The boost-provided CMake files are unreliable
    set(Boost_NO_BOOST_CMAKE ON)
    find_package(Boost MODULE REQUIRED COMPONENTS atomic thread system)
    unset(Boost_NO_BOOST_CMAKE)
    add_subdirectory(kolab)
endif()

if(Etebase_FOUND)
    add_subdirectory(etesync)
endif()

add_subdirectory(maildir)

add_subdirectory(openxchange)
add_subdirectory(pop3)

add_subdirectory(google-groupware)

add_subdirectory(shared)
add_subdirectory(birthdays)
add_subdirectory(mixedmaildir)
add_subdirectory(mbox)
add_subdirectory(vcarddir)
add_subdirectory(icaldir)
add_subdirectory(vcard)
add_subdirectory(folderarchivesettings)
if(TARGET Qt::WebEngineWidgets)
    add_subdirectory(ews)
endif()

=== agents/migration/CMakeLists.txt ===

include_directories(
    ${CMAKE_SOURCE_DIR}/migration
    ${CMAKE_SOURCE_DIR}
)

add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_migration_agent\")

kde_enable_exceptions()

add_executable(akonadi_migration_agent)
target_sources(akonadi_migration_agent PRIVATE
    migrationagent.cpp
    migrationstatuswidget.cpp
    migrationexecutor.cpp
    migrationscheduler.cpp
    migrationagent.h
    migrationstatuswidget.h
    migrationexecutor.h
    migrationscheduler.h
    autotests/dummymigrator.cpp
    autotests/dummymigrator.h
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(akonadi_migration_agent PROPERTIES UNITY_BUILD ON)
endif()

if(APPLE)
  set_target_properties(akonadi_migration_agent PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
  set_target_properties(akonadi_migration_agent PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.migrationagent")
  set_target_properties(akonadi_migration_agent PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi Migrationagent")
endif()

target_link_libraries(akonadi_migration_agent
    gidmigration
    googlegroupwaremigration
    icalcategoriestotagsmigration
    KPim6::AkonadiCore
    KPim6::AkonadiAgentBase
    KF6::Contacts
    KF6::WindowSystem
    KF6::JobWidgets
)

install(TARGETS akonadi_migration_agent ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES migrationagent.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents")

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== agents/newmailnotifier/CMakeLists.txt ===

include_directories(${kdepim-runtime_BINARY_DIR})
add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_newmailnotifier_agent\")
configure_file(config-newmailnotifier.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-newmailnotifier.h)


add_library(newmailnotifier)

target_sources(newmailnotifier PRIVATE
    newmailnotificationhistorymanager.h
    newmailnotificationhistorymanager.cpp
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(newmailnotifier PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(newmailnotifier BASE_NAME newmailnotifier)

target_link_libraries(newmailnotifier
    PRIVATE
    KPim6::AkonadiCore
    KF6::I18n
)

set_target_properties(newmailnotifier PROPERTIES VERSION ${KDEPIMRUNTIME_LIB_VERSION} SOVERSION ${KDEPIMRUNTIME_LIB_SOVERSION})

install(TARGETS newmailnotifier ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)


add_executable(akonadi_newmailnotifier_agent)
set(newmailnotifier_common_SRCS)
kconfig_add_kcfg_files(newmailnotifier_common_SRCS
    newmailnotifieragentsettings.kcfgc
)

ecm_qt_declare_logging_category(newmailnotifier_common_SRCS HEADER newmailnotifier_debug.h IDENTIFIER NEWMAILNOTIFIER_LOG CATEGORY_NAME org.kde.pim.newmailnotifier
        DESCRIPTION "mailnotifier agent (kdepim-runtime)"
        OLD_CATEGORY_NAMES log_newmailnotifier
        EXPORT KDEPIMRUNTIME
)



qt_add_dbus_adaptor(newmailnotifieragent_SRCS org.freedesktop.Akonadi.NewMailNotifier.xml newmailnotifieragent.h NewMailNotifierAgent)
target_sources(akonadi_newmailnotifier_agent PRIVATE
  newmailnotifieragent.cpp
  newmailnotifieragent.h
  specialnotifierjob.cpp
  specialnotifierjob.h
  newmailnotifiershowmessagejob.cpp
  newmailnotifiershowmessagejob.h
  newmailnotifierreplymessagejob.cpp
  newmailnotifierreplymessagejob.h

  newmailnotifieropenfolderjob.h
  newmailnotifieropenfolderjob.cpp

  newmailnotificationhistorywidget.h
  newmailnotificationhistorywidget.cpp
  newmailnotificationhistorydialog.h
  newmailnotificationhistorydialog.cpp
  newmailnotificationhistorybrowsertextwidget.h
  newmailnotificationhistorybrowsertextwidget.cpp

  newmailnotificationhistorybrowsertext.h
  newmailnotificationhistorybrowsertext.cpp

  ${newmailnotifier_common_SRCS}
  ${newmailnotifieragent_SRCS}
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(akonadi_newmailnotifier_agent PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(akonadi_newmailnotifier_agent
    PRIVATE
  KPim6::AkonadiCore
  KPim6::Mime
  KPim6::AkonadiMime
  KPim6::AkonadiContactWidgets
  KF6::Codecs
  KPim6::IdentityManagementCore
  KPim6::AkonadiAgentBase
  KF6::Notifications
  KF6::Service
  KF6::I18n
  KF6::KIOGui
  KF6::WindowSystem
  KF6::ConfigWidgets
  KF6::TextCustomEditor
  newmailnotifier
)

if(Qt6TextToSpeech_FOUND)
    target_link_libraries(akonadi_newmailnotifier_agent PRIVATE
      Qt::TextToSpeech
)
endif()

if(APPLE)
  set_target_properties( akonadi_newmailnotifier_agent PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_SOURCE_DIR}/Info.plist.template)
  set_target_properties( akonadi_newmailnotifier_agent PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.newmailnotifier")
  set_target_properties( akonadi_newmailnotifier_agent PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE New Mail Notifier")
endif()

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()
install(TARGETS akonadi_newmailnotifier_agent ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})


install(FILES newmailnotifieragent.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents")
install(FILES akonadi_newmailnotifier_agent.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

########################## Config plugin #################################

kcoreaddons_add_plugin(newmailnotifierconfig
    INSTALL_NAMESPACE "pim6/akonadi/config")

target_sources(newmailnotifierconfig PRIVATE
    newmailnotifiersettingswidget.cpp
    newmailnotifierselectcollectionwidget.cpp
    newmailnotifiersettingswidget.h
    newmailnotifierselectcollectionwidget.h
    ${newmailnotifier_common_SRCS}
)

target_link_libraries(newmailnotifierconfig
    PRIVATE
    KPim6::AkonadiCore
    KPim6::AkonadiMime
    Qt::Widgets
    KF6::NotifyConfig
    KF6::ConfigGui
    KF6::I18n
    KF6::XmlGui
    KPim6::Mime
    KF6::Completion
)

=== kcms/ldap/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_ldap\")

add_library(kcm_ldap MODULE)
target_sources(kcm_ldap PRIVATE
    kcmldap.cpp
    kcmldap.h
)


target_link_libraries(kcm_ldap KF6::CoreAddons KF6::KCMUtils KF6::I18n KPim6::LdapWidgets)

install(TARGETS kcm_ldap DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kcms/kaddressbook)

=== resources/etesync/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_etesync_resource\")

set(etesyncresource_common_SRCS
    etebaseadapter.cpp etebaseadapter.h
)

kconfig_add_kcfg_files(etesyncresource_common_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/settings.kcfgc
)

set(etesyncconfig_SRCS
  setupwizard.cpp
  ${etesyncresource_common_SRCS}
)

set(etesyncresource_SRCS
    etesyncresource.cpp etesyncresource.h
    etesyncclientstate.cpp etesyncclientstate.h
    journalsfetchjob.cpp journalsfetchjob.h
    entriesfetchjob.cpp entriesfetchjob.h
    loginjob.cpp loginjob.h 
    setupwizard.cpp

    ${etesyncconfig_SRCS}
)

ecm_qt_declare_logging_category(etesyncresource_SRCS
    HEADER etesync_debug.h
    IDENTIFIER ETESYNC_LOG
    CATEGORY_NAME org.kde.pim.etesync
    DESCRIPTION "resource etesync (kdepim-runtime)"
    EXPORT KDEPIMRUNTIME
)

kcfg_generate_dbus_interface(
    ${CMAKE_CURRENT_SOURCE_DIR}/etesyncresource.kcfg
    org.kde.Akonadi.etesync.Settings
)

qt_add_dbus_adaptor(etesyncresource_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.etesync.Settings.xml
    ${CMAKE_CURRENT_BINARY_DIR}/settings.h
    Settings
)

add_executable(akonadi_etesync_resource ${etesyncresource_SRCS})
set_target_properties(akonadi_etesync_resource PROPERTIES MACOSX_BUNDLE FALSE)
target_include_directories(akonadi_etesync_resource PRIVATE ${ETEBASE_INCLUDE_DIRS})
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(akonadi_etesync_resource PROPERTIES UNITY_BUILD ON)
endif()
target_link_libraries(akonadi_etesync_resource
    ${ETEBASE_LIBRARIES}
    Qt::DBus
    Qt::Concurrent
    KPim6::AkonadiAgentBase
    KF6::ConfigCore
    KF6::Contacts
    KF6::CalendarCore
    KF6::KIOCore
    KF6::ConfigWidgets
    KF6::WindowSystem
    KF6::Wallet
    KF6::I18n
)

ecm_install_icons(
    ICONS
    icons/16-apps-akonadi-etesync.png
    icons/24-apps-akonadi-etesync.png
    icons/32-apps-akonadi-etesync.png
    icons/48-apps-akonadi-etesync.png
    icons/64-apps-akonadi-etesync.png
    icons/72-apps-akonadi-etesync.png
    icons/128-apps-akonadi-etesync.png
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

install(TARGETS akonadi_etesync_resource ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES etesyncresource.desktop
    DESTINATION ${KDE_INSTALL_DATAROOTDIR}/akonadi/agents
)

=== resources/imap/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_imap_resource\")

set(WITH_GMAIL_XOAUTH2 TRUE)

configure_file(config-imap.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-imap.h)

########### next target ###############

set(imapresource_LIB_SRCS
  addcollectiontask.cpp
  additemtask.cpp
  batchfetcher.cpp
  changecollectiontask.cpp
  changeitemsflagstask.cpp
  changeitemtask.cpp
  expungecollectiontask.cpp
  highestmodseqattribute.cpp
  imapaccount.cpp
  imapflags.cpp
  imapresourcebase.cpp
  messagehelper.cpp
  movecollectiontask.cpp
  moveitemstask.cpp
  noselectattribute.cpp
  noinferiorsattribute.cpp
  passwordrequesterinterface.cpp
  removecollectionrecursivetask.cpp
  resourcestateinterface.cpp
  resourcetask.cpp
  retrievecollectionmetadatatask.cpp
  retrievecollectionstask.cpp
  retrieveitemtask.cpp
  retrieveitemstask.cpp
  searchtask.cpp
  sessionpool.cpp
  uidvalidityattribute.cpp
  uidnextattribute.cpp
  settings.cpp
  subscriptiondialog.cpp
  imapidlemanager.cpp
  resourcestate.cpp
  collectionmetadatahelper.cpp
  replacemessagejob.cpp

  addcollectiontask.h
  additemtask.h
  batchfetcher.h
  changecollectiontask.h
  changeitemsflagstask.h
  changeitemtask.h
  expungecollectiontask.h
  highestmodseqattribute.h
  imapaccount.h
  imapflags.h
  imapresourcebase.h
  messagehelper.h
  movecollectiontask.h
  moveitemstask.h
  noselectattribute.h
  noinferiorsattribute.h
  passwordrequesterinterface.h
  removecollectionrecursivetask.h
  resourcestateinterface.h
  resourcetask.h
  retrievecollectionmetadatatask.h
  retrievecollectionstask.h
  retrieveitemtask.h
  retrieveitemstask.h
  searchtask.h
  sessionpool.h
  uidvalidityattribute.h
  uidnextattribute.h
  settings.h
  subscriptiondialog.h
  imapidlemanager.h
  resourcestate.h
  collectionmetadatahelper.h
  replacemessagejob.h
  ${AKONADI_COLLECTIONATTRIBUTES_SHARED_SOURCES}
  ${AKONADI_IMAPATTRIBUTES_SHARED_SOURCES}
)

ecm_qt_declare_logging_category(imapresource_LIB_SRCS HEADER imapresource_debug.h IDENTIFIER IMAPRESOURCE_LOG CATEGORY_NAME org.kde.pim.imapresource
        DESCRIPTION "imap resource (kdepim-runtime)"
        OLD_CATEGORY_NAMES log_imapresource
        EXPORT KDEPIMRUNTIME
)
ecm_qt_declare_logging_category(imapresource_LIB_SRCS HEADER imapresource_trace.h
        IDENTIFIER IMAPRESOURCE_TRACE
        CATEGORY_NAME org.kde.pim.imapresource.trace
        DESCRIPTION "resource kolab trace (kdepim-runtime)"
        EXPORT KDEPIMRUNTIME
)

kcfg_generate_dbus_interface( ${CMAKE_CURRENT_SOURCE_DIR}/imapresource.kcfg org.kde.Akonadi.Imap.Settings)
kconfig_add_kcfg_files(imapresource_LIB_SRCS settingsbase.kcfgc)

qt_add_dbus_adaptor(imapresource_LIB_SRCS
     ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.Imap.Settings.xml settings.h Settings
    )

qt_generate_dbus_interface( ${CMAKE_CURRENT_SOURCE_DIR}/imapresourcebase.h org.kde.Akonadi.Imap.Resource.xml OPTIONS -a)
qt_add_dbus_adaptor(imapresource_LIB_SRCS
     ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.Imap.Resource.xml
        imapresourcebase.h ImapResourceBase
    )

add_library(imapresource STATIC ${imapresource_LIB_SRCS})

target_link_libraries(imapresource
    Qt::DBus
    Qt::Network
    KPim6::AkonadiCore
    KPim6::IMAP
    KPim6::MailTransport
    KF6::KIOWidgets
    KPim6::Mime
    KPim6::AkonadiMime
    KPim6::IdentityManagementWidgets
    KPim6::AkonadiAgentBase
    KF6::I18n
    KF6::Notifications
    KF6::WindowSystem
    KF6::ConfigGui
    KF6::Wallet
    akonadi-singlefileresource
    qt6keychain
)

if(HAVE_ACTIVITY_SUPPORT)
    target_link_libraries(imapresource
        KPim6::PimCommonActivities
    )
endif()


########### next target ###############

add_executable(akonadi_imap_resource)
ki18n_wrap_ui(akonadi_imap_resource setupserverview_desktop.ui)
target_sources(akonadi_imap_resource PRIVATE
  main.cpp
  imapresource.cpp
  resourcestate.cpp
  settingspasswordrequester.cpp
  setupserver.cpp
  serverinfodialog.cpp
  passwordrequester.cpp
  gmailpasswordrequester.cpp
  outlookpasswordrequester.cpp

  imapresource.h
  resourcestate.h
  settingspasswordrequester.h
  setupserver.h
  serverinfodialog.h
  passwordrequester.h
  gmailpasswordrequester.h
  outlookpasswordrequester.h
)

install(FILES imapresource.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents")

install(
  FILES akonadi_imap_resource.notifyrc
  DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR}
)


if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(akonadi_imap_resource PROPERTIES UNITY_BUILD ON)
endif()
if(APPLE)
  set_target_properties(akonadi_imap_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
  set_target_properties(akonadi_imap_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.Imap")
  set_target_properties(akonadi_imap_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi IMAP Resource")
endif()

target_link_libraries(akonadi_imap_resource
    Qt::DBus
    KPim6::AkonadiCore
    KPim6::IMAP
    akonadi-singlefileresource
    KPim6::AkonadiWidgets
    KPim6::MailTransport
    KPim6::Mime
    KPim6::AkonadiMime
    KPim6::IdentityManagementCore
    KF6::I18n
    imapresource
        KF6::ConfigGui

    folderarchivesettings
    KPim6::GAPICore
)

install(
    FILES org.kde.akonadi_imap_resource.desktop
    DESTINATION ${KDE_INSTALL_APPDIR}
)

install(TARGETS akonadi_imap_resource ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

=== resources/mixedmaildir/CMakeLists.txt ===
include_directories(
    ${kdepim-runtime_SOURCE_DIR}
    ${kdepim-runtime_SOURCE_DIR}/resources/shared
    ${kdepim-runtime_SOURCE_DIR}/resources/shared/filestore
    ${kdepim-runtime_SOURCE_DIR}/resources/maildir
    ${kdepim-runtime_SOURCE_DIR}/resources/mbox
    ${CMAKE_CURRENT_SOURCE_DIR}/kmindexreader
)

add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_mixedmaildir_resource\")

add_subdirectory(kmindexreader)

set(mixedmaildir_common_SRCS)
kconfig_add_kcfg_files(mixedmaildir_common_SRCS settings.kcfgc)

############################# Resource #######################################

set(mixedmaildirresource_SRCS
    compactchangehelper.cpp
    mixedmaildirresource.cpp
    mixedmaildirstore.cpp
    retrieveitemsjob.cpp
    compactchangehelper.h
    mixedmaildirresource.h
    mixedmaildirstore.h
    retrieveitemsjob.h
    ${mixedmaildir_common_SRCS}
)
ecm_qt_declare_logging_category(mixedmaildirresource_SRCS HEADER mixedmaildirresource_debug.h IDENTIFIER MIXEDMAILDIRRESOURCE_LOG CATEGORY_NAME org.kde.pim.mixedmaildirresource
    DESCRIPTION "mixed maildir resource (kdepim-runtime)"
    OLD_CATEGORY_NAMES log_mixedmaildir
    EXPORT KDEPIMRUNTIME
)
ecm_qt_declare_logging_category(mixedmaildirresource_SRCS HEADER mixedmaildir_debug.h IDENTIFIER MIXEDMAILDIR_LOG CATEGORY_NAME org.kde.pim.mixedmaildir
    DESCRIPTION "mixedmaildir resource (kdepim-runtime)"
    OLD_CATEGORY_NAMES log_mixedmaildirresource
    EXPORT KDEPIMRUNTIME
)

install(FILES mixedmaildirresource.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents")


kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/mixedmaildirresource.kcfg org.kde.Akonadi.MixedMaildir.Settings)

qt_add_dbus_adaptor(mixedmaildirresource_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.MixedMaildir.Settings.xml settings.h Settings
)

add_executable(akonadi_mixedmaildir_resource ${mixedmaildirresource_SRCS})
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(akonadi_mixedmaildir_resource PROPERTIES UNITY_BUILD ON)
endif()
if(APPLE)
    set_target_properties(akonadi_mixedmaildir_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
    set_target_properties(akonadi_mixedmaildir_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.MixedMaildir")
    set_target_properties(akonadi_mixedmaildir_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi MixedMaildir Resource")
endif()

target_link_libraries(akonadi_mixedmaildir_resource
    kmindexreader
    maildir
    akonadi-filestore
    KPim6::AkonadiCore
    KPim6::AkonadiMime
    KF6::KIOCore
    KPim6::Mbox
    KPim6::Mime
    KPim6::AkonadiAgentBase
    KF6::I18n
    akonadi-singlefileresource
)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(akonadi_mixedmaildir_resource PROPERTIES UNITY_BUILD ON)
endif()

install(TARGETS akonadi_mixedmaildir_resource ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.MixedMaildir.Settings.xml
    DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

# unit tests
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

###################################### Config Plugin #########################

kcoreaddons_add_plugin(mixedmaildirconfig
    INSTALL_NAMESPACE "pim6/akonadi/config"
)
target_sources(mixedmaildirconfig PRIVATE
    mixedmaildirconfig.cpp
    configwidget.cpp
    configwidget.h
    ${mixedmaildir_common_SRCS}
)
ki18n_wrap_ui(mixedmaildirconfig settings.ui)


target_link_libraries(mixedmaildirconfig
    KPim6::AkonadiCore
    KF6::I18n
    KF6::KIOWidgets
    KF6::ConfigWidgets
    maildir
)

=== resources/vcard/CMakeLists.txt ===


if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_vcard_resource\")

set(vcardresource_common_SRCS)
kconfig_add_kcfg_files(vcardresource_common_SRCS settings.kcfgc)

############################## Resource ####################################

add_definitions(-DSETTINGS_NAMESPACE=Akonadi_VCard_Resource)

set(vcardresource_SRCS
  vcardresource.cpp
  vcardresource.h
  ${vcardresource_common_SRCS}
)

install(FILES vcardresource.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents")

kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/vcardresource.kcfg org.kde.Akonadi.VCard.Settings)
qt_add_dbus_adaptor(vcardresource_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.VCard.Settings.xml settings.h Akonadi_VCard_Resource::Settings vcardsettingsadaptor VCardSettingsAdaptor
)

add_executable(akonadi_vcard_resource ${vcardresource_SRCS})

if(APPLE)
  set_target_properties(akonadi_vcard_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
  set_target_properties(akonadi_vcard_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.VCard")
  set_target_properties(akonadi_vcard_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi VCard Resource")
endif()

target_link_libraries(akonadi_vcard_resource KPim6::AkonadiCore KF6::KIOCore   KPim6::AkonadiAgentBase KF6::Contacts akonadi-singlefileresource KF6::Completion KF6::KIOWidgets KF6::ConfigWidgets)

install(TARGETS akonadi_vcard_resource ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(
    FILES org.kde.akonadi_vcard_resource.desktop
    DESTINATION ${KDE_INSTALL_APPDIR}
)

############################# Config plugin #################################

kcoreaddons_add_plugin(vcardconfig
    SOURCES vcardconfig.cpp ${vcardresource_common_SRCS}
    INSTALL_NAMESPACE "pim6/akonadi/config"
)

target_link_libraries(vcardconfig
    KPim6::AkonadiCore
    akonadi-singlefileresource
)
if(HAVE_ACTIVITY_SUPPORT)
     target_link_libraries(vcardconfig
         KPim6::PimCommonActivities
     )
endif()

=== agents/migration/autotests/CMakeLists.txt ===

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/..
)

add_executable(schedulertest schedulertest.cpp ../migrationscheduler.cpp ../migrationexecutor.cpp ../migrationscheduler.h ../migrationexecutor.h)
target_link_libraries(schedulertest
    gidmigration
    KPim6::AkonadiCore
    Qt::Test
)
add_test(NAME schedulertest COMMAND schedulertest)

=== resources/ews/test/CMakeLists.txt ===
#
#  SPDX-FileCopyrightText: 2017 Krzysztof Nowicki <krissn@op.pl>
#
#  SPDX-License-Identifier: LGPL-2.0-or-later

include_directories(../)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/fakeserver)

set(isolatestestcommon_SRCS isolatedtestbase.cpp isolatedtestbase.h statemonitor.cpp statemonitor.h)

kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/../ewsresource.kcfg org.kde.Akonadi.Ews.Settings)
set(ewssettingsinterface_xml ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.Ews.Settings.xml)
qt_generate_dbus_interface( ${CMAKE_CURRENT_SOURCE_DIR}/../ewssettings.h org.kde.Akonadi.Ews.Wallet.xml OPTIONS -a)
set(ewswalletinterface_xml ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.Ews.Wallet.xml)
qt_generate_dbus_interface( ${CMAKE_CURRENT_SOURCE_DIR}/../ewsresource.h org.kde.Akonadi.Ews.Resource.xml OPTIONS -a)
set(ewsresourceinterface_xml ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.Ews.Resource.xml)

qt_add_dbus_interface(isolatestestcommon_SRCS ${ewssettingsinterface_xml} ewssettings)
qt_add_dbus_interface(isolatestestcommon_SRCS ${ewswalletinterface_xml} ewswallet)
qt_add_dbus_interface(isolatestestcommon_SRCS ${ewsresourceinterface_xml} ewsresource)

add_library(isolatedtestcommon STATIC ${isolatestestcommon_SRCS})
target_link_libraries(isolatedtestcommon
  KPim6::AkonadiCore
  KPim6::AkonadiMime
  Qt::Core
  Qt::Network
  Qt::Test
  fakeewsserver
)

add_subdirectory(unittests)
# XmlPattern was removed in qt6
if(QT_MAJOR_VERSION STREQUAL "5")
    add_subdirectory(fakeserver)
endif()
if(KDEPIM_RUN_AKONADI_TEST)
	add_akonadi_isolated_test_advanced(ewstest.cpp isolatedtestcommon.qrc "isolatedtestcommon")
	add_akonadi_isolated_test_advanced(serverbusytest.cpp isolatedtestcommon.qrc "isolatedtestcommon")
endif()

=== debian/changelog ===
kdepim-runtime (4:24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:51:23 +0100

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.2~),
-               libakonadicalendar-dev (>= 4:24.12.2~),
-               libakonadicontact-dev (>= 4:24.12.2~),
-               libakonadimime-dev (>= 4:24.12.2~),
+               libakonadi-dev (>= 4:24.12.3~),
+               libakonadicalendar-dev (>= 4:24.12.3~),
+               libakonadicontact-dev (>= 4:24.12.3~),
+               libakonadimime-dev (>= 4:24.12.3~),
                libboost-system-dev,
                libboost-thread-dev,
-               libkcalendarutils-dev (>= 4:24.12.2~),
+               libkcalendarutils-dev (>= 4:24.12.3~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -29,16 +29,16 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6wallet-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
-               libkgapi-dev (>= 24.12.2~),
-               libkidentitymanagement-dev (>= 24.12.2~),
-               libkimap-dev (>= 24.12.2~),
-               libkldap-dev (>= 24.12.2~),
-               libkmailtransport-dev (>= 24.12.2~),
-               libkmbox-dev (>= 24.12.2~),
-               libkmime-dev (>= 24.12.2~),
+               libkgapi-dev (>= 24.12.3~),
+               libkidentitymanagement-dev (>= 24.12.3~),
+               libkimap-dev (>= 24.12.3~),
+               libkldap-dev (>= 24.12.3~),
+               libkmailtransport-dev (>= 24.12.3~),
+               libkmbox-dev (>= 24.12.3~),
+               libkmime-dev (>= 24.12.3~),
                libkolabxml-dev (>= 1.1~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:24.12.2~),
+               libpimcommon-dev (>= 4:24.12.3~),
                libplasmaactivities-dev (>= 6.1.0~),
                libqca-qt6-dev (>= 2.3.7~),
                libsasl2-dev,
@@ -50,7 +50,7 @@
                qtkeychain-qt6-dev (>= 0.14.2~),
                shared-mime-info (>= 1.8~),
                xsltproc,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/kdepim-runtime
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdepim-runtime
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdepim-runtime.git

## kdepim-runtime 25.04.0

=== resources/kolab/CMakeLists.txt ===
add_subdirectory(pimkolab)
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/../imap
    ${CMAKE_CURRENT_BINARY_DIR}/../imap
    ${CMAKE_CURRENT_SOURCE_DIR}/pimkolab/
    ${Libkolabxml_INCLUDES}
)

add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_imap_resource\")


########### next target ###############

set(kolabresource_SRCS
    ../imap/settingspasswordrequester.cpp
    ../imap/setupserver.cpp
    ../imap/serverinfodialog.cpp
    kolabretrievecollectionstask.cpp
    kolabresource.cpp
    kolabresourcestate.cpp
    kolabhelpers.cpp
    kolabmessagehelper.cpp
    kolabaddtagtask.cpp
    kolabchangetagtask.cpp
    kolabremovetagtask.cpp
    kolabretrievetagstask.cpp
    kolabsettings.cpp
    tagchangehelper.cpp
    kolabrelationresourcetask.cpp
    kolabchangeitemstagstask.cpp
    updatemessagejob.cpp
    ../imap/settingspasswordrequester.h
    ../imap/setupserver.h
    ../imap/serverinfodialog.h
    kolabretrievecollectionstask.h
    kolabresource.h
    kolabresourcestate.h
    kolabhelpers.h
    kolabmessagehelper.h
    kolabaddtagtask.h
    kolabchangetagtask.h
    kolabremovetagtask.h
    kolabretrievetagstask.h
    kolabsettings.h
    tagchangehelper.h
    kolabrelationresourcetask.h
    kolabchangeitemstagstask.h
    updatemessagejob.h
)

ecm_qt_declare_logging_category(kolabresource_SRCS
    HEADER kolabresource_debug.h
    IDENTIFIER KOLABRESOURCE_LOG
    CATEGORY_NAME org.kde.pim.kolabresource
    DESCRIPTION "kolab resource (kdepim-runtime)"
    OLD_CATEGORY_NAMES log_kolabresource
    EXPORT KDEPIMRUNTIME
)
ecm_qt_declare_logging_category(kolabresource_SRCS
    HEADER kolabresource_trace.h
    IDENTIFIER KOLABRESOURCE_TRACE
    CATEGORY_NAME org.kde.pim.kolabresource.trace
    DESCRIPTION "resource kolab trace (kdepim-runtime)"
    EXPORT KDEPIMRUNTIME
)


kconfig_add_kcfg_files(kolabresource_SRCS ../imap/settingsbase.kcfgc)

ki18n_wrap_ui(kolabresource_SRCS ../imap/setupserverview_desktop.ui)
add_executable(akonadi_kolab_resource ${kolabresource_SRCS})

target_link_libraries(akonadi_kolab_resource
    KPim6::AkonadiCore
    KPim6::IMAP
    KPim6::MailTransport
    KPim6::Mime
    KPim6::AkonadiMime
    KPim6::AkonadiCalendar
    KPim6::AkonadiWidgets
    KPim6::IdentityManagementCore
    imapresource
    folderarchivesettings
    pimkolab
    KF6::Contacts
    KF6::CalendarCore
    akonadi-singlefileresource
        KF6::I18n
)

install(FILES kolabresource.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents")
install(TARGETS akonadi_kolab_resource ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.akonadi_kolab_resource.desktop DESTINATION ${KDE_INSTALL_APPDIR})

if(BUILD_TESTING)
    #add_subdirectory(autotests)
endif()

=== debian/changelog ===
kdepim-runtime (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:47:58 +0100

kdepim-runtime (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:29 -0500

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: kdepim-runtime
 Section: x11
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.3~),
-               libakonadicalendar-dev (>= 4:24.12.3~),
-               libakonadicontact-dev (>= 4:24.12.3~),
-               libakonadimime-dev (>= 4:24.12.3~),
+               libakonadi-dev (>= 4:25.04.0~),
+               libakonadicalendar-dev (>= 4:25.04.0~),
+               libakonadicontact-dev (>= 4:25.04.0~),
+               libakonadimime-dev (>= 4:25.04.0~),
                libboost-system-dev,
                libboost-thread-dev,
-               libkcalendarutils-dev (>= 4:24.12.3~),
+               libkcalendarutils-dev (>= 4:25.04.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -29,16 +30,16 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6wallet-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
-               libkgapi-dev (>= 24.12.3~),
-               libkidentitymanagement-dev (>= 24.12.3~),
-               libkimap-dev (>= 24.12.3~),
-               libkldap-dev (>= 24.12.3~),
-               libkmailtransport-dev (>= 24.12.3~),
-               libkmbox-dev (>= 24.12.3~),
-               libkmime-dev (>= 24.12.3~),
+               libkgapi-dev (>= 25.04.0~),
+               libkidentitymanagement-dev (>= 25.04.0~),
+               libkimap-dev (>= 25.04.0~),
+               libkldap-dev (>= 25.04.0~),
+               libkmailtransport-dev (>= 25.04.0~),
+               libkmbox-dev (>= 25.04.0~),
+               libkmime-dev (>= 25.04.0~),
                libkolabxml-dev (>= 1.1~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:24.12.3~),
+               libpimcommon-dev (>= 4:25.04.0~),
                libplasmaactivities-dev (>= 6.1.0~),
                libqca-qt6-dev (>= 2.3.7~),
                libsasl2-dev,
@@ -50,10 +51,10 @@
                qtkeychain-qt6-dev (>= 0.14.2~),
                shared-mime-info (>= 1.8~),
                xsltproc,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kdepim-runtime
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdepim-runtime
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdepim-runtime.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-runtime
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-runtime
 Rules-Requires-Root: no
 
 Package: kdepim-runtime
